### Eclipse Workspace Patch 1.0
#P org.jboss.tools.ws.ui
Index: src/org/jboss/tools/ws/ui/messages/JBossWSUI.properties
===================================================================
--- src/org/jboss/tools/ws/ui/messages/JBossWSUI.properties	(revision 33435)
+++ src/org/jboss/tools/ws/ui/messages/JBossWSUI.properties	(working copy)
@@ -34,6 +34,11 @@
 JBossWS_Runtime_List_Field_Editor_Name2=Name:
 JBossWS_Runtime_Check_Field_Default_Classpath=Customize JBoss Web Service runtime jars
 JBossWS_Preference_Page_Runtimes=JBossWS Runtimes
+JBossWS_Preference_Page_RuntimesList_Label=JBoss Web Service Runtimes:
+JBossWS_Preference_Page_Options_Label=Global Tools Options:
+JBossWS_Preference_Page_Level_Label=Verbosity Level:
+JBossWS_Preference_Page_Target_Label=JAX-WS specification target:
+JBossWS_Preference_Page_Extension_Label=Enable extensions
 Runtime_Details=Runtime Details
 Runtime_Details_Impl=Implementation:
 Runtime_Details_Version=Version:
Index: src/org/jboss/tools/ws/ui/messages/JBossWSUIMessages.java
===================================================================
--- src/org/jboss/tools/ws/ui/messages/JBossWSUIMessages.java	(revision 33435)
+++ src/org/jboss/tools/ws/ui/messages/JBossWSUIMessages.java	(working copy)
@@ -66,6 +66,11 @@
 	public static String JBossWS_Runtime_List_Field_Editor_Name2;
 	public static String JBossWS_Runtime_Check_Field_Default_Classpath;
 	public static String JBossWS_Preference_Page_Runtimes;
+	public static String JBossWS_Preference_Page_RuntimesList_Label; 
+	public static String JBossWS_Preference_Page_Options_Label;
+	public static String JBossWS_Preference_Page_Level_Label;
+	public static String JBossWS_Preference_Page_Target_Label;
+	public static String JBossWS_Preference_Page_Extension_Label;
 	public static String Runtime_Details;
 	public static String Runtime_Details_Impl;
 	public static String Runtime_Details_Version;
Index: src/org/jboss/tools/ws/ui/project/facet/JBossWSRuntimeConfigBlock.java
===================================================================
--- src/org/jboss/tools/ws/ui/project/facet/JBossWSRuntimeConfigBlock.java	(revision 33435)
+++ src/org/jboss/tools/ws/ui/project/facet/JBossWSRuntimeConfigBlock.java	(working copy)
@@ -143,7 +143,7 @@
 		gd.horizontalSpan = 3;
 		btnDeploy.setLayoutData(gd);
 		
-		Label[] texts = JBossWSUIUtils.createWSRuntimeDetailsGroup(composite, 3);
+		Label[] texts = JBossWSUIUtils.createWSRuntimeDetailsGroup(composite, 3, JBossWSUIMessages.Runtime_Details);
 		impl = texts[0];
 		vDetail = texts[1];
 
Index: src/org/jboss/tools/ws/ui/preferences/JBossWSRuntimeListFieldEditor.java
===================================================================
--- src/org/jboss/tools/ws/ui/preferences/JBossWSRuntimeListFieldEditor.java	(revision 33435)
+++ src/org/jboss/tools/ws/ui/preferences/JBossWSRuntimeListFieldEditor.java	(working copy)
@@ -467,7 +467,7 @@
 			homeDir.doFillIntoGrid(root);
 			homeDir.addPropertyChangeListener(this);
 			
-			Label[] texts = JBossWSUIUtils.createWSRuntimeDetailsGroup(root, 3);
+			Label[] texts = JBossWSUIUtils.createWSRuntimeDetailsGroup(root, 3, JBossWSUIMessages.Runtime_Details);
 			impl = texts[0];
 			vDetail = texts[1];
 			if (current != null) {
Index: src/org/jboss/tools/ws/ui/preferences/JBossWSRuntimePreferencePage.java
===================================================================
--- src/org/jboss/tools/ws/ui/preferences/JBossWSRuntimePreferencePage.java	(revision 33435)
+++ src/org/jboss/tools/ws/ui/preferences/JBossWSRuntimePreferencePage.java	(working copy)
@@ -11,18 +11,27 @@
 
 package org.jboss.tools.ws.ui.preferences;
 
+import java.io.IOException;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Map;
 
+import org.eclipse.jface.preference.IPersistentPreferenceStore;
+import org.eclipse.jface.preference.IPreferenceStore;
 import org.eclipse.jface.preference.PreferencePage;
 import org.eclipse.swt.SWT;
+import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Combo;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.ui.IWorkbench;
 import org.eclipse.ui.IWorkbenchPreferencePage;
+import org.jboss.tools.ws.core.JBossWSCorePlugin;
+import org.jboss.tools.ws.core.PreferencePageConstants;
 import org.jboss.tools.ws.core.classpath.JBossWSRuntime;
 import org.jboss.tools.ws.core.classpath.JBossWSRuntimeManager;
 import org.jboss.tools.ws.ui.messages.JBossWSUIMessages;
@@ -40,12 +49,16 @@
 	}
 
 	private static final int COLUMNS = 3;
+	
 
 	JBossWSRuntimeListFieldEditor jbossWSRuntimes = new JBossWSRuntimeListFieldEditor(
 			"rtlist", JBossWSUIMessages.JBossWS_Preference_Page_Runtimes, new ArrayList<JBossWSRuntime>(Arrays.asList(JBossWSRuntimeManager.getInstance().getRuntimes()))); //$NON-NLS-1$
 
 	Label impl;
 	Label vDetail;
+	Combo levelCom;
+	Combo targetCom;
+	Button extensionBut;
 	
 	/**
 	 * Create contents of JBossWS preferences page. JBossWSRuntime list editor
@@ -56,14 +69,45 @@
 		Composite root = new Composite(parent, SWT.NONE);
 		GridLayout gl = new GridLayout(COLUMNS, false);
 		root.setLayout(gl);
+		
+		Group group = JBossWSUIUtils.createDetailsGroup(root, 3, JBossWSUIMessages.JBossWS_Preference_Page_Options_Label);
+		Label level = new Label(group, SWT.NONE);		
+		level.setText(JBossWSUIMessages.JBossWS_Preference_Page_Level_Label);
+		levelCom = new Combo(group, SWT.READ_ONLY);
+		levelCom.add(PreferencePageConstants.LEVEL_QUIET); 
+		levelCom.add(PreferencePageConstants.LEVEL_DEFAULT); 
+		levelCom.add(PreferencePageConstants.LEVEL_VERBOSE); 
+		
+		Label wsTarget = new Label(group, SWT.NONE);		
+		wsTarget.setText(JBossWSUIMessages.JBossWS_Preference_Page_Target_Label);
+		targetCom = new Combo(group, SWT.READ_ONLY);
+		targetCom.add(PreferencePageConstants.TARGET_22);
+		targetCom.add(PreferencePageConstants.TARGET_21);
+		targetCom.add(PreferencePageConstants.TARGET_20);
+		
+		
+		extensionBut = new Button(group, SWT.CHECK);
+		GridData gd = new GridData();
+		gd.horizontalSpan = 2;
+		extensionBut.setLayoutData(gd);
+		extensionBut.setText(JBossWSUIMessages.JBossWS_Preference_Page_Extension_Label);
+		
+		Label label = new Label(root, SWT.NONE);
+		gd = new GridData();
+		gd.horizontalSpan = 3;
+		label.setLayoutData(gd);
+		
+		new Label(root, SWT.NONE).setText(JBossWSUIMessages.JBossWS_Preference_Page_RuntimesList_Label);
+
 		jbossWSRuntimes.doFillIntoGrid(root);
 		
-		Label[] texts = JBossWSUIUtils.createWSRuntimeDetailsGroup(root, 2);
+		Label[] texts = JBossWSUIUtils.createWSRuntimeDetailsGroup(root, 3, JBossWSUIMessages.Runtime_Details);
 		impl = texts[0];
 		vDetail = texts[1];
 		
 		jbossWSRuntimes.getTableView().addSelectionChangedListener(new WSRuntimeSelectionChangedListener(impl, vDetail));
 
+		getGlobalOptionsFromStore();
 		return root;
 	}
 
@@ -119,6 +163,47 @@
 		jbossWSRuntimes.getChangedJBossWSRuntimes().clear();
 
 		JBossWSRuntimeManager.getInstance().save();
+		saveGlobalOptions();
+	}
+
+	private void saveGlobalOptions() {
+		JBossWSCorePlugin.getDefault().getPreferenceStore().setValue(PreferencePageConstants.LEVEL, levelCom.getText());
+		JBossWSCorePlugin.getDefault().getPreferenceStore().setValue(PreferencePageConstants.TARGET, targetCom.getText());
+		JBossWSCorePlugin.getDefault().getPreferenceStore().setValue(PreferencePageConstants.EXTENSION, String.valueOf(extensionBut.getSelection()));
+		IPreferenceStore store = JBossWSCorePlugin.getDefault()
+				.getPreferenceStore();
+		if (store instanceof IPersistentPreferenceStore) {
+			try {
+				((IPersistentPreferenceStore) store).save();
+			} catch (IOException e) {
+				e.printStackTrace();
+			}
+		}
+	}
+	
+	private void getGlobalOptionsFromStore() {
+		IPreferenceStore ps = JBossWSCorePlugin.getDefault().getPreferenceStore();
+		String level = ps.getString(PreferencePageConstants.LEVEL);
+		if (level != null && !"".equals(level)) { //$NON-NLS-1$
+		    levelCom.setText(level);
+		} else {
+			levelCom.setText(PreferencePageConstants.LEVEL_DEFAULT);
+		}
+		
+		String target = ps.getString(PreferencePageConstants.TARGET);
+		if (target != null && !"".equals(target)) { //$NON-NLS-1$
+		    targetCom.setText(target);
+		} else {
+			targetCom.setText(PreferencePageConstants.TARGET_22);
+		}
+		
+		String extension = ps.getString(PreferencePageConstants.EXTENSION);
+		if ("false".equals(extension)) { //$NON-NLS-1$
+			extensionBut.setSelection(false);
+		} else {
+			extensionBut.setSelection(true);
+		}
+
 	}
 
 	/**
Index: src/org/jboss/tools/ws/ui/utils/JBossWSUIUtils.java
===================================================================
--- src/org/jboss/tools/ws/ui/utils/JBossWSUIUtils.java	(revision 33435)
+++ src/org/jboss/tools/ws/ui/utils/JBossWSUIUtils.java	(working copy)
@@ -240,17 +240,12 @@
 		return strs;
 	}
 
-	public static Label[] createWSRuntimeDetailsGroup(Composite root, int horizontalSpan) {
-		Group wsRuntimeDetails = new Group(root, SWT.NONE);
-		wsRuntimeDetails.setText(JBossWSUIMessages.Runtime_Details);
-		GridData gd = new GridData(GridData.FILL_HORIZONTAL);
-		gd.horizontalSpan = horizontalSpan;
-		wsRuntimeDetails.setLayout(new GridLayout(2, false));
-		wsRuntimeDetails.setLayoutData(gd);
+	public static Label[] createWSRuntimeDetailsGroup(Composite root, int horizontalSpan, String text) {
+		Group wsRuntimeDetails = createDetailsGroup(root, horizontalSpan, text);
 		
 		new Label(wsRuntimeDetails, SWT.NONE).setText(JBossWSUIMessages.Runtime_Details_Impl);
 		Label impl = new Label(wsRuntimeDetails, SWT.NONE);
-		gd = new GridData(GridData.FILL_HORIZONTAL);
+		GridData gd = new GridData(GridData.FILL_HORIZONTAL);
 		impl.setLayoutData(gd);
 		
 		new Label(wsRuntimeDetails, SWT.NONE).setText(JBossWSUIMessages.Runtime_Details_Version);
@@ -259,10 +254,19 @@
 		vDetail.setLayoutData(gd);
 		
 		Label[] labels = new Label[] {impl, vDetail};
-		
-		return labels;
-		
-		
+		return labels;		
+	}
+	
+	
+	public static Group createDetailsGroup(Composite root, int horizontalSpan, String text) {
+		Group details = new Group(root, SWT.NONE);
+		details.setText(text);
+		GridData gd = new GridData(GridData.FILL_HORIZONTAL);
+		gd.horizontalSpan = horizontalSpan;
+		details.setLayout(new GridLayout(2, false));
+		details.setLayoutData(gd);
+        
+		return details;
 	}
 
 }
\ No newline at end of file
#P org.jboss.tools.ws.core
Index: src/org/jboss/tools/ws/core/PreferencePageConstants.java
===================================================================
--- src/org/jboss/tools/ws/core/PreferencePageConstants.java	(revision 0)
+++ src/org/jboss/tools/ws/core/PreferencePageConstants.java	(revision 0)
@@ -0,0 +1,17 @@
+package org.jboss.tools.ws.core;
+
+public class PreferencePageConstants {
+	
+	public static final String LEVEL = "level"; //$NON-NLS-1$
+	public static final String TARGET = "target"; //$NON-NLS-1$
+	public static final String EXTENSION = "extension"; //$NON-NLS-1$
+	
+	public static final String LEVEL_QUIET = "Quiet"; //$NON-NLS-1$
+	public static final String LEVEL_DEFAULT = "Default"; //$NON-NLS-1$
+	public static final String LEVEL_VERBOSE = "Verbose"; //$NON-NLS-1$
+	
+	public static final String TARGET_22 = "2.2"; //$NON-NLS-1$
+	public static final String TARGET_21 = "2.1"; //$NON-NLS-1$
+	public static final String TARGET_20 = "2.0"; //$NON-NLS-1$
+
+}
#P org.jboss.tools.ws.creation.ui
Index: src/org/jboss/tools/ws/creation/ui/utils/JBossCreationUIUtils.java
===================================================================
--- src/org/jboss/tools/ws/creation/ui/utils/JBossCreationUIUtils.java	(revision 33435)
+++ src/org/jboss/tools/ws/creation/ui/utils/JBossCreationUIUtils.java	(working copy)
@@ -14,8 +14,8 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Text;
+import org.jboss.tools.ws.core.PreferencePageConstants;
 import org.jboss.tools.ws.creation.core.data.ServiceModel;
-import org.jboss.tools.ws.creation.core.messages.JBossWSCreationCoreMessages;
 
 public class JBossCreationUIUtils {
 
@@ -98,16 +98,9 @@
 	}
 
 	public static void populateTargetCombo(Combo targetCombo, ServiceModel model) {
-		targetCombo.add(JBossWSCreationCoreMessages.Value_Target_0, 0);
-		targetCombo.add(JBossWSCreationCoreMessages.Value_Target_1, 1);
-		targetCombo.add(JBossWSCreationCoreMessages.Value_Target_2, 2);
-		if (JBossWSCreationCoreMessages.Value_Target_0.equals(model.getTarget())) {
-			targetCombo.select(0);
-		} else if (JBossWSCreationCoreMessages.Value_Target_1.equals(model.getTarget())) {
-			targetCombo.select(1);
-		} else {
-			targetCombo.select(2);
-		}
+		targetCombo.add(PreferencePageConstants.TARGET_20, 0);
+		targetCombo.add(PreferencePageConstants.TARGET_21, 1);
+		targetCombo.add(PreferencePageConstants.TARGET_22, 2);
 	}
 
 	public static Text createTextItemWithButton(Composite configCom, ServiceModel model, String label, String tooltip) {
Index: src/org/jboss/tools/ws/creation/ui/widgets/WSDL2JavaCodeGenConfigWidget.java
===================================================================
--- src/org/jboss/tools/ws/creation/ui/widgets/WSDL2JavaCodeGenConfigWidget.java	(revision 33435)
+++ src/org/jboss/tools/ws/creation/ui/widgets/WSDL2JavaCodeGenConfigWidget.java	(working copy)
@@ -10,6 +10,7 @@
 import org.eclipse.jdt.ui.IJavaElementSearchConstants;
 import org.eclipse.jdt.ui.JavaUI;
 import org.eclipse.jface.dialogs.MessageDialog;
+import org.eclipse.jface.preference.IPreferenceStore;
 import org.eclipse.jface.window.Window;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.ModifyEvent;
@@ -34,6 +35,8 @@
 import org.eclipse.wst.command.internal.env.ui.widgets.SimpleWidgetDataContributor;
 import org.eclipse.wst.command.internal.env.ui.widgets.WidgetDataEvents;
 import org.eclipse.wst.ws.internal.wsrt.WebServiceScenario;
+import org.jboss.tools.ws.core.JBossWSCorePlugin;
+import org.jboss.tools.ws.core.PreferencePageConstants;
 import org.jboss.tools.ws.core.utils.StatusUtils;
 import org.jboss.tools.ws.creation.core.commands.WSDL2JavaHelpOptionCommand;
 import org.jboss.tools.ws.creation.core.data.ServiceModel;
@@ -290,8 +293,15 @@
 
 	private void updateComposite() {
 		boolean a = JBossWSCreationUtils.supportSOAP12(model.getWebProjectName());
+		IPreferenceStore ps = JBossWSCorePlugin.getDefault().getPreferenceStore();
 		extensionButton.setEnabled(a);
-		extensionButton.setSelection(a);
+		
+		String extension = ps.getString(PreferencePageConstants.EXTENSION);
+		if ("false".equals(extension)) { //$NON-NLS-1$
+			extensionButton.setSelection(false);
+		} else {
+			extensionButton.setSelection(true);
+		}
 
 		isOK = JBossCreationUIUtils.populateServiceCombo(serviceCombo,
 				model.getWsdlDefinition());
@@ -304,6 +314,13 @@
 			status = StatusUtils.errorStatus(JBossWSCreationCoreMessages.Error_Message_No_SourceFolder);
 		}
 		JBossCreationUIUtils.populateTargetCombo(targetCombo, model);
+		String target = ps.getString(PreferencePageConstants.TARGET);
+		if (target != null && !"".equals(target)) { //$NON-NLS-1$
+			targetCombo.setText(target);
+		} else {
+			targetCombo.setText(PreferencePageConstants.TARGET_22);
+		}
+		
 		customPacText.setText(model.getCustomPackage());
 	}
 
Index: src/org/jboss/tools/ws/creation/ui/widgets/Java2WSDLCodeGenConfigWidget.java
===================================================================
--- src/org/jboss/tools/ws/creation/ui/widgets/Java2WSDLCodeGenConfigWidget.java	(revision 33435)
+++ src/org/jboss/tools/ws/creation/ui/widgets/Java2WSDLCodeGenConfigWidget.java	(working copy)
@@ -12,6 +12,7 @@
 package org.jboss.tools.ws.creation.ui.widgets;
 
 import org.eclipse.core.runtime.IStatus;
+import org.eclipse.jface.preference.IPreferenceStore;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.SelectionAdapter;
 import org.eclipse.swt.events.SelectionEvent;
@@ -24,9 +25,12 @@
 import org.eclipse.swt.widgets.Listener;
 import org.eclipse.wst.command.internal.env.ui.widgets.SimpleWidgetDataContributor;
 import org.eclipse.wst.command.internal.env.ui.widgets.WidgetDataEvents;
+import org.jboss.tools.ws.core.JBossWSCorePlugin;
+import org.jboss.tools.ws.core.PreferencePageConstants;
 import org.jboss.tools.ws.core.utils.StatusUtils;
 import org.jboss.tools.ws.creation.core.data.ServiceModel;
 import org.jboss.tools.ws.creation.core.messages.JBossWSCreationCoreMessages;
+import org.jboss.tools.ws.creation.core.utils.JBossWSCreationUtils;
 import org.jboss.tools.ws.creation.ui.utils.JBossCreationUIUtils;
 
 /**
@@ -41,6 +45,7 @@
 	private Combo  sourceCombo;
 	private boolean isOK;
 	private IStatus status = null;
+	private Button extensionButton;
 
 	public Java2WSDLCodeGenConfigWidget(ServiceModel model) {
 		this.model = model;
@@ -91,6 +96,26 @@
 				model.setUpdateWebxml(btnUpdateWebxml.getSelection());
 			}
 		});
+		
+		// extension check button
+		extensionButton = JBossCreationUIUtils.createCheckButton(
+						configCom, JBossWSCreationCoreMessages.Label_EnableSOAP12_Binding_Extension);
+		extensionButton.addSelectionListener(new SelectionAdapter() {
+			public void widgetSelected(SelectionEvent e) {
+				model.setEnableSOAP12(extensionButton.getSelection());
+			}
+		});
+		boolean a = JBossWSCreationUtils.supportSOAP12(model.getWebProjectName());
+		IPreferenceStore ps = JBossWSCorePlugin.getDefault().getPreferenceStore();
+		extensionButton.setEnabled(a);
+		
+		String extension = ps.getString(PreferencePageConstants.EXTENSION);
+		if ("false".equals(extension)) { //$NON-NLS-1$
+			extensionButton.setSelection(false);
+		} else {
+			extensionButton.setSelection(true);
+		}
+		
 		return this;
 	}
 
#P org.jboss.tools.ws.creation.core
Index: src/org/jboss/tools/ws/creation/core/utils/JBossWSCreationUtils.java
===================================================================
--- src/org/jboss/tools/ws/creation/core/utils/JBossWSCreationUtils.java	(revision 33435)
+++ src/org/jboss/tools/ws/creation/core/utils/JBossWSCreationUtils.java	(working copy)
@@ -628,7 +628,7 @@
     
 	public static boolean isOptions(String str) {
 		String[] isUsed = {
-				"-k", "-s", "-o", "-p", "-b", "-c", "-t", "-e", "-v", "-h", "-w" }; //$NON-NLS-1$//$NON-NLS-2$ //$NON-NLS-3$//$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ 
+				"-k", "-s", "-o", "-p", "-b", "-c", "-t", "-e", "-v", "-h", "-w", "-q" }; //$NON-NLS-1$//$NON-NLS-2$ //$NON-NLS-3$//$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$ 
 		boolean boo = true;
 		for (int i = 0; i < isUsed.length; i++) {
 			if (str.trim().startsWith(isUsed[i])) {
Index: src/org/jboss/tools/ws/creation/core/commands/Java2WSCommand.java
===================================================================
--- src/org/jboss/tools/ws/creation/core/commands/Java2WSCommand.java	(revision 33435)
+++ src/org/jboss/tools/ws/creation/core/commands/Java2WSCommand.java	(working copy)
@@ -19,7 +19,10 @@
 
 import org.eclipse.core.resources.IProject;
 import org.eclipse.core.runtime.Path;
+import org.eclipse.jface.preference.IPreferenceStore;
 import org.jboss.tools.common.util.FileUtil;
+import org.jboss.tools.ws.core.JBossWSCorePlugin;
+import org.jboss.tools.ws.core.PreferencePageConstants;
 import org.jboss.tools.ws.creation.core.data.ServiceModel;
 import org.jboss.tools.ws.creation.core.utils.ClasspathParser;
 
@@ -59,8 +62,25 @@
 
 		command.add("-c"); //$NON-NLS-1$
 		command.add(getClasspath(iProject));
-		command.add("-t"); //$NON-NLS-1$
+		String str = getVerbosityLevel();
+		if (str != null) {
+		    command.add(str);
+		}
+	}
+		
+	private String getVerbosityLevel() {
+		IPreferenceStore ps = JBossWSCorePlugin.getDefault().getPreferenceStore();
+		String level = ps.getString(PreferencePageConstants.LEVEL);
+		if (level != null && !"".equals(level)) { //$NON-NLS-1$
+			if (PreferencePageConstants.LEVEL_QUIET.equals(level)) {
+				return "-q"; //$NON-NLS-1$
+			} else if (PreferencePageConstants.LEVEL_VERBOSE.endsWith(level)) {
+				return "-t"; //$NON-NLS-1$
+			}	
+		}
+		return null;
 	}
+	
 
 	private String getClasspath(IProject iProject) throws IOException {
 		String cpStr = ClasspathParser.getInstance().getClasspathString(
Index: src/org/jboss/tools/ws/creation/core/commands/InitialCommand.java
===================================================================
--- src/org/jboss/tools/ws/creation/core/commands/InitialCommand.java	(revision 33435)
+++ src/org/jboss/tools/ws/creation/core/commands/InitialCommand.java	(working copy)
@@ -58,7 +58,6 @@
 			return StatusUtils
 					.errorStatus(JBossWSCreationCoreMessages.Error_WS_Location);
 		}
-		model.setTarget(JBossWSCreationCoreMessages.Value_Target_0);
 		try {
 			List<String> list = JBossWSCreationUtils.getJavaProjectSrcFolder(project.getProject());
 			if (list != null && list.size() > 0) {
Index: src/org/jboss/tools/ws/creation/core/commands/AbstractGenerateCodeCommand.java
===================================================================
--- src/org/jboss/tools/ws/creation/core/commands/AbstractGenerateCodeCommand.java	(revision 33435)
+++ src/org/jboss/tools/ws/creation/core/commands/AbstractGenerateCodeCommand.java	(working copy)
@@ -154,6 +154,11 @@
 
 	protected void addCommonArgs(List<String> command, IJavaProject javaProject) throws Exception {
 		String projectRoot = model.getJavaProject().getProject().getLocation().toOSString();
+		
+		
+		if(model.enableSOAP12()){
+			command.add("-e"); //$NON-NLS-1$
+		}
 		command.add("-k"); //$NON-NLS-1$
 		command.add("-s"); //$NON-NLS-1$
 		command.add(JBossWSCreationUtils.getCustomSrcLocation(model.getJavaSourceFolder()));
Index: src/org/jboss/tools/ws/creation/core/commands/WSDL2JavaCommand.java
===================================================================
--- src/org/jboss/tools/ws/creation/core/commands/WSDL2JavaCommand.java	(revision 33435)
+++ src/org/jboss/tools/ws/creation/core/commands/WSDL2JavaCommand.java	(working copy)
@@ -3,6 +3,9 @@
 import java.io.File;
 import java.util.List;
 
+import org.eclipse.jface.preference.IPreferenceStore;
+import org.jboss.tools.ws.core.JBossWSCorePlugin;
+import org.jboss.tools.ws.core.PreferencePageConstants;
 import org.jboss.tools.ws.creation.core.data.ServiceModel;
 
 public class WSDL2JavaCommand extends AbstractGenerateCodeCommand{
@@ -53,11 +56,24 @@
 			command.add("-t"); //$NON-NLS-1$
 			command.add(model.getTarget());
 		}
-		
-		if(model.enableSOAP12()){
-			command.add("-e"); //$NON-NLS-1$
+
+		String str = getVerbosityLevel();
+		if (str != null) {
+		    command.add(str);
 		}
-		command.add("-v"); //$NON-NLS-1$
+	}
+	
+	private String getVerbosityLevel() {
+		IPreferenceStore ps = JBossWSCorePlugin.getDefault().getPreferenceStore();
+		String level = ps.getString(PreferencePageConstants.LEVEL);
+		if (level != null && !"".equals(level)) { //$NON-NLS-1$
+			if (PreferencePageConstants.LEVEL_QUIET.equals(level)) {
+				return "-q"; //$NON-NLS-1$
+			} else if (PreferencePageConstants.LEVEL_VERBOSE.endsWith(level)) {
+				return "-v"; //$NON-NLS-1$
+			}	
+		}
+		return null;
 	}
 
 }
Index: src/org/jboss/tools/ws/creation/core/commands/InitialClientCommand.java
===================================================================
--- src/org/jboss/tools/ws/creation/core/commands/InitialClientCommand.java	(revision 33435)
+++ src/org/jboss/tools/ws/creation/core/commands/InitialClientCommand.java	(working copy)
@@ -74,7 +74,6 @@
 			return StatusUtils
 					.errorStatus(JBossWSCreationCoreMessages.Error_WS_Location);
 		}
-		model.setTarget(JBossWSCreationCoreMessages.Value_Target_0);
 		try {
 			List<String> list = JBossWSCreationUtils.getJavaProjectSrcFolder(project.getProject());
 			if (list != null && list.size() > 0) {