diff --git a/product/extras/site/site.xml b/product/extras/site/site.xml
index e9c1637..987c8aa 100644
--- a/product/extras/site/site.xml
+++ b/product/extras/site/site.xml
@@ -5,7 +5,15 @@
 	<!-- JBDS 4.0 -->
 	
 	<category-def name="All Certified Features" label="All Certified Features">
-		<description>Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
+		<description>
+Features certified with JBoss Developer Studio have been tested by Red Hat. 
+		</description>
+	</category-def>
+
+	<category-def name="All Selected Features" label="All Selected Features">
+		<description>
+Features selected by Red Hat for use with JBoss Developer Studio. 
+		</description>
 	</category-def>
 
 	<feature url="features/org.testng.eclipse_0.0.0.jar" id="org.testng.eclipse" version="0.0.0">
@@ -53,12 +61,12 @@
 	<feature url="features/org.eclipse.egit.mylyn_0.0.0.jar" id="org.eclipse.egit.mylyn" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.egit.feature_0.0.0.jar" id="com.jboss.jbds.egit.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 
 	<!-- just use JBDS FindBugs feature, not FindBugs feature itself -->
 	<feature url="features/com.jboss.jbds.findbugs.feature_0.0.0.jar" id="com.jboss.jbds.findbugs.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 
 	<feature url="features/org.eclipse.m2e.feature_0.0.0.jar" id="org.eclipse.m2e.feature" version="0.0.0">
@@ -68,7 +76,7 @@
 	<feature url="features/org.sonatype.m2e.mavenarchiver.feature_0.0.0.jar" id="org.sonatype.m2e.mavenarchiver.feature" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.m2e.feature_0.0.0.jar" id="com.jboss.jbds.m2e.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 
 	<feature url="features/org.eclipse.mylyn.bugzilla_feature_0.0.0.jar" id="org.eclipse.mylyn.bugzilla_feature" version="0.0.0">
@@ -96,12 +104,12 @@
 	<feature url="features/org.eclipse.mylyn.wikitext_feature_0.0.0.jar" id="org.eclipse.mylyn.wikitext_feature" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.mylyn.feature_0.0.0.jar" id="com.jboss.jbds.mylyn.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 	
 	<!-- just use JBDS PMD feature, not PMD feature itself -->
 	<feature url="features/com.jboss.jbds.pmd.feature_0.0.0.jar" id="com.jboss.jbds.pmd.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 
 	<feature url="features/com.collabnet.subversion.merge.feature_0.0.0.jar" id="com.collabnet.subversion.merge.feature" version="0.0.0">
@@ -123,6 +131,6 @@
 	<feature url="features/org.tmatesoft.svnkit_0.0.0.jar" id="org.tmatesoft.svnkit" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.subclipse.feature_0.0.0.jar" id="com.jboss.jbds.subclipse.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 </site>
diff --git a/product/features/com.jboss.jbds.bpel.feature/feature.xml b/product/features/com.jboss.jbds.bpel.feature/feature.xml
index 8175e1b..ec04dbb 100644
--- a/product/features/com.jboss.jbds.bpel.feature/feature.xml
+++ b/product/features/com.jboss.jbds.bpel.feature/feature.xml
@@ -1,6 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature id="com.jboss.jbds.bpel.feature" label="BPEL Editor (Certified)" version="1.0.1.qualifier" provider-name="JBoss by RedHat">
-   <description>Contains JBoss BPEL Editor 1.0, including examples and cheatsheets (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat.
+   <description>
+Contains JBoss BPEL Editor 1.0, including examples and cheatsheets (Certified). 
+Features certified with JBoss Developer Studio have been tested by Red Hat.
    </description>
 
    <copyright>%copyright</copyright>
diff --git a/product/features/com.jboss.jbds.egit.feature/feature.xml b/product/features/com.jboss.jbds.egit.feature/feature.xml
index 430e370..a274334 100644
--- a/product/features/com.jboss.jbds.egit.feature/feature.xml
+++ b/product/features/com.jboss.jbds.egit.feature/feature.xml
@@ -1,20 +1,18 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature
       id="com.jboss.jbds.egit.feature"
-      label="eGit (Certified)"
+      label="eGit (Selected)"
       version="1.0.0.qualifier"
       provider-name="JBoss by Red Hat">
 
    <description>
-      Contains eGit and jGit 0.11.3, including Mylyn integration (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains eGit and jGit 0.11.3, including Mylyn integration (Selected). 
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
-   <copyright>
-      %copyright
-   </copyright>
+   <copyright>%copyright</copyright>
 
-   <license url="license.html">
-      Red Hat, Inc. licenses these features and plugins to you under
+   <license url="license.html">Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
 the GNU Lesser General Public License, and/or certain other open
@@ -22,7 +20,7 @@ source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
    </license>
-   
+
    <requires>
       <import feature="org.eclipse.egit" version="0.11.3" match="compatible"/>
       <import feature="org.eclipse.jgit" version="0.11.3" match="compatible"/>
diff --git a/product/features/com.jboss.jbds.findbugs.feature/feature.xml b/product/features/com.jboss.jbds.findbugs.feature/feature.xml
index c6e751e..f672560 100644
--- a/product/features/com.jboss.jbds.findbugs.feature/feature.xml
+++ b/product/features/com.jboss.jbds.findbugs.feature/feature.xml
@@ -1,17 +1,22 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="com.jboss.jbds.findbugs.feature" label="FindBugs (Certified)" version="1.0.0.qualifier" provider-name="JBoss by Red Hat">
-
-	<description>
-      Contains FindBugs 1.3.9 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+<feature
+      id="com.jboss.jbds.findbugs.feature"
+      label="FindBugs (Selected)"
+      version="1.0.0.qualifier"
+      provider-name="JBoss by Red Hat">
+
+   <description>
+Contains FindBugs 1.3.9 (Selected). 
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
-	<copyright>
+   <copyright>
       %copyright
       
       FindBugs is (c) 2006-2008, University of Maryland. See http://findbugs.sourceforge.net
    </copyright>
 
-	<license url="license.html">
+   <license url="license.html">
       Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
@@ -24,22 +29,21 @@ FindBugs is free software distributed under the terms of the Lesser GNU Public L
 http://www.gnu.org/licenses/lgpl.html
 
 See also http://findbugs.sourceforge.net/manual/license.html
-
    </license>
 
-	<requires>
-		<import plugin="org.eclipse.core.resources" />
-		<import plugin="org.eclipse.core.runtime" version="3.3.0" match="greaterOrEqual" />
-		<import plugin="org.eclipse.jdt" />
-		<import plugin="org.eclipse.jdt.core" />
-		<import plugin="org.eclipse.jdt.launching" />
-		<import plugin="org.eclipse.jdt.ui" />
-		<import plugin="org.eclipse.jface.text" />
-		<import plugin="org.eclipse.ui" />
-		<import plugin="org.eclipse.ui.editors" />
-		<import plugin="org.eclipse.ui.ide" />
-		<import plugin="org.eclipse.ui.workbench.texteditor" />
-	</requires>
+   <requires>
+      <import plugin="org.eclipse.core.resources"/>
+      <import plugin="org.eclipse.core.runtime" version="3.3.0" match="greaterOrEqual"/>
+      <import plugin="org.eclipse.jdt"/>
+      <import plugin="org.eclipse.jdt.core"/>
+      <import plugin="org.eclipse.jdt.launching"/>
+      <import plugin="org.eclipse.jdt.ui"/>
+      <import plugin="org.eclipse.jface.text"/>
+      <import plugin="org.eclipse.ui"/>
+      <import plugin="org.eclipse.ui.editors"/>
+      <import plugin="org.eclipse.ui.ide"/>
+      <import plugin="org.eclipse.ui.workbench.texteditor"/>
+   </requires>
 
 	<!-- because Tycho can't handle having a feature and plugin w/ the same ID/version, 
 	we have to rebuild the plugin and include it in the JBDS FindBugs feature 
diff --git a/product/features/com.jboss.jbds.m2e.feature/feature.xml b/product/features/com.jboss.jbds.m2e.feature/feature.xml
index f537f2d..48325ee 100644
--- a/product/features/com.jboss.jbds.m2e.feature/feature.xml
+++ b/product/features/com.jboss.jbds.m2e.feature/feature.xml
@@ -1,17 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature
- id="com.jboss.jbds.m2e.feature"
- label="Maven Integration (Certified)"
- version="1.0.0.qualifier"
- provider-name="JBoss by Red Hat">
+      id="com.jboss.jbds.m2e.feature"
+      label="Maven Integration (Selected)"
+      version="1.0.0.qualifier"
+      provider-name="JBoss by Red Hat">
 
-   <description>Contains m2e 1.0 and m2e-wtp 0.13 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+   <description>
+Contains m2e 1.0 and m2e-wtp 0.13 (Selected). 
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
-   <copyright>%copyright
+   <copyright>
+      %copyright
    </copyright>
 
-   <license url="license.html">Red Hat, Inc. licenses these features and plugins to you under
+   <license url="license.html">
+      Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
 the GNU Lesser General Public License, and/or certain other open
@@ -19,11 +23,11 @@ source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
    </license>
-   
+
    <requires>
-	<import feature="org.eclipse.m2e.feature" version="1.0.0" match="greaterOrEqual"/>
-	<import feature="org.maven.ide.eclipse.wtp.feature" version="0.13.0" match="greaterOrEqual"/>
-	<import feature="org.sonatype.m2e.mavenarchiver.feature" version="0.14.0" match="greaterOrEqual"/>
+      <import feature="org.eclipse.m2e.feature" version="1.0.0" match="greaterOrEqual"/>
+      <import feature="org.maven.ide.eclipse.wtp.feature" version="0.13.0" match="greaterOrEqual"/>
+      <import feature="org.sonatype.m2e.mavenarchiver.feature" version="0.14.0" match="greaterOrEqual"/>
    </requires>
 
 	<!-- dependent 3rd party plugins needed to install m2e -->
diff --git a/product/features/com.jboss.jbds.mylyn.feature/feature.xml b/product/features/com.jboss.jbds.mylyn.feature/feature.xml
index 1ec5c9e..2038db1 100644
--- a/product/features/com.jboss.jbds.mylyn.feature/feature.xml
+++ b/product/features/com.jboss.jbds.mylyn.feature/feature.xml
@@ -1,12 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature
       id="com.jboss.jbds.mylyn.feature"
-      label="Mylyn (Certified)"
+      label="Mylyn (Selected)"
       version="1.0.0.qualifier"
       provider-name="JBoss by Red Hat">
 
    <description>
-      Contains Mylyn 3.6 including support for Bugzilla, CVS, eGit, Java Development, Plug-In Development and Wikitext (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains Mylyn 3.6 including support for Bugzilla, CVS, eGit, Java Development, Plug-In Development and Wikitext (Selected).
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
    <copyright>
@@ -22,19 +23,20 @@ source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
    </license>
-   
+
    <requires>
-		<import feature="org.eclipse.mylyn.bugzilla_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.commons" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.context_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.cvs" version="0.8.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.git" version="0.8.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.ide_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.java_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.pde_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.team_feature" version="3.6.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.versions" version="0.8.0" match="compatible"/>
-		<import feature="org.eclipse.mylyn.wikitext_feature" version="1.5.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.bugzilla_feature" version="3.6.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.commons" version="3.6.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.context_feature" version="3.6.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.cvs" version="0.8.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn_feature" version="3.6.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.git" version="0.8.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.ide_feature" version="3.6.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.java_feature" version="3.6.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.pde_feature" version="3.6.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.team_feature" version="3.6.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.versions" version="0.8.0" match="compatible"/>
+      <import feature="org.eclipse.mylyn.wikitext_feature" version="1.5.0" match="compatible"/>
    </requires>
+
 </feature>
diff --git a/product/features/com.jboss.jbds.pmd.feature/feature.xml b/product/features/com.jboss.jbds.pmd.feature/feature.xml
index 94b26ed..fb13433 100644
--- a/product/features/com.jboss.jbds.pmd.feature/feature.xml
+++ b/product/features/com.jboss.jbds.pmd.feature/feature.xml
@@ -1,11 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="com.jboss.jbds.pmd.feature" label="PMD (Certified)" version="1.0.1.qualifier" provider-name="JBoss by Red Hat">
+<feature
+      id="com.jboss.jbds.pmd.feature"
+      label="PMD (Selected)"
+      version="1.0.1.qualifier"
+      provider-name="JBoss by Red Hat">
 
-	<description>Contains PMD 3.2.4 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.</description>
+   <description>
+Contains PMD 3.2.4 (Selected).
+Features selected by Red Hat for use with JBoss Developer Studio. 
+   </description>
 
-	<copyright>%copyright</copyright>
+   <copyright>
+      %copyright
+   </copyright>
 
-	<license url="license.html">Red Hat, Inc. licenses these features and plugins to you under
+   <license url="license.html">
+      Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
 the GNU Lesser General Public License, and/or certain other open
@@ -13,18 +23,19 @@ source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
 
-See also http://pmd.sourceforge.net/license.html</license>
+See also http://pmd.sourceforge.net/license.html
+   </license>
 
-	<requires>
-		  <import plugin="org.eclipse.core.resources"/>
-		  <import plugin="org.eclipse.core.runtime"/>
-		  <import plugin="org.eclipse.jdt.core"/>
-		  <import plugin="org.eclipse.jface.text"/>
-		  <import plugin="org.eclipse.ui"/>
-		  <import plugin="org.eclipse.ui.editors"/>
-		  <import plugin="org.eclipse.ui.ide"/>
-		  <import plugin="org.eclipse.help"/>
-	</requires>
+   <requires>
+      <import plugin="org.eclipse.core.resources"/>
+      <import plugin="org.eclipse.core.runtime"/>
+      <import plugin="org.eclipse.jdt.core"/>
+      <import plugin="org.eclipse.jface.text"/>
+      <import plugin="org.eclipse.ui"/>
+      <import plugin="org.eclipse.ui.editors"/>
+      <import plugin="org.eclipse.ui.ide"/>
+      <import plugin="org.eclipse.help"/>
+   </requires>
 
 	<!-- because Tycho can't handle having a feature and plugin w/ the same ID/version, 
 	we have to rebuild the plugin and include it in the JBDS PMD feature 
@@ -34,4 +45,5 @@ See also http://pmd.sourceforge.net/license.html</license>
 	<plugin id="net.sourceforge.pmd.runtime" download-size="0" install-size="0" version="3.2.4" match="compatible" />
 	<plugin id="net.sourceforge.pmd.eclipse" download-size="0" install-size="0" version="3.2.4" match="compatible" />
 	<plugin id="net.sourceforge.pmd.ui" download-size="0" install-size="0" version="3.2.4" match="compatible" />
+
 </feature>
diff --git a/product/features/com.jboss.jbds.product.extra.feature/feature.properties b/product/features/com.jboss.jbds.product.extra.feature/feature.properties
index cd7341e..963a71b 100644
--- a/product/features/com.jboss.jbds.product.extra.feature/feature.properties
+++ b/product/features/com.jboss.jbds.product.extra.feature/feature.properties
@@ -24,7 +24,7 @@ providerName=JBoss by Red Hat
 updateExtrasSiteName=JBoss Developer Studio Extras
 
 # "description" property - description of the feature
-description=Contains certified third party software features, including BPEL Editor, eGit, FindBugs, m2eclipse, Mylyn, PMD, Spring IDE, Subclipse and TestNG. Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+description=Contains certified and selected third party software features, including BPEL Editor, eGit, FindBugs, m2eclipse, Mylyn, PMD, Spring IDE, Subclipse and TestNG. Features certified with JBoss Developer Studio have been tested by Red Hat.
 
 # "copyright" property - text of the "Feature Update Copyright"
 copyright=Copyright (c) 2009-2011 Red Hat, Inc. and others.\nAll rights reserved. This program and the accompanying materials\n\
diff --git a/product/features/com.jboss.jbds.springide.feature/feature.xml b/product/features/com.jboss.jbds.springide.feature/feature.xml
index 13f807c..c5d57ce 100644
--- a/product/features/com.jboss.jbds.springide.feature/feature.xml
+++ b/product/features/com.jboss.jbds.springide.feature/feature.xml
@@ -6,7 +6,8 @@
       provider-name="JBoss by RedHat">
 
    <description>
-      Contains Spring IDE 2.5.1 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains Spring IDE 2.5.1 (Certified). 
+Features certified with JBoss Developer Studio have been tested by Red Hat.
    </description>
 
    <copyright>
diff --git a/product/features/com.jboss.jbds.subclipse.feature/feature.xml b/product/features/com.jboss.jbds.subclipse.feature/feature.xml
index 2703313..57df82a 100644
--- a/product/features/com.jboss.jbds.subclipse.feature/feature.xml
+++ b/product/features/com.jboss.jbds.subclipse.feature/feature.xml
@@ -1,12 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature
       id="com.jboss.jbds.subclipse.feature"
-      label="Subclipse (Certified)"
+      label="Subclipse (Selected)"
       version="1.0.0.qualifier"
       provider-name="JBoss by RedHat">
 
    <description>
-      Contains Subclipse 1.6 and SVNKit 1.3, including Mylyn support (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains Subclipse 1.6 and SVNKit 1.3, including Mylyn support (Selected). 
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
    <copyright>
@@ -14,7 +15,7 @@
    </copyright>
 
    <license url="license.html">
-Red Hat, Inc. licenses these features and plugins to you under
+      Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
 the GNU Lesser General Public License, and/or certain other open
@@ -77,7 +78,7 @@ that uses SVNKit is possible only when such redistribution is explictly permitte
 by TMate Software. Please, contact TMate Software at support@svnkit.com to 
 get such permission.
 
-THIS SOFTWARE IS PROVIDED BY TMATE SOFTWARE ``AS IS'' AND ANY EXPRESS OR IMPLIED
+THIS SOFTWARE IS PROVIDED BY TMATE SOFTWARE ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE
 DISCLAIMED. 
@@ -118,12 +119,12 @@ Depending on the adapter you choose in your preferences, the
 following products and licenses are involved.
 
 Subversion/JavaHL:  JavaHL is a high-level Java language binding
-to the Subversion "C" libraries and is part of the official
+to the Subversion &quot;C&quot; libraries and is part of the official
 Subversion source distribution.  Subversion is licensed under
 the CollabNet license.
 http://subversion.tigris.org/project_license.html
 
-SVNKit:  SVNKit is a "pure Java" implementation of the
+SVNKit:  SVNKit is a &quot;pure Java&quot; implementation of the
 Subversion network protocols and working copy formats.
 SVNKit is licensed under the TMate license.
 http://svnkit.com/licensing/index.html
@@ -138,14 +139,15 @@ AND CONDITIONS PRIOR TO USE OF THIS CONTENT.
    </license>
 
    <requires>
-		<import feature="com.collabnet.subversion.merge.feature" version="2.2.3" match="compatible"/>
-		<import feature="com.sun.jna" version="3.2.7" match="compatible"/>
-		<import feature="org.tigris.subversion.clientadapter.feature" version="1.6.12" match="compatible"/>
-		<import feature="org.tigris.subversion.clientadapter.javahl.feature" version="1.6.15" match="compatible"/>
-		<import feature="org.tigris.subversion.clientadapter.svnkit.feature" version="1.6.15" match="compatible"/>
-		<import feature="org.tigris.subversion.subclipse.graph.feature" version="1.0.9" match="compatible"/>
-		<import feature="org.tigris.subversion.subclipse.mylyn" version="3.0.0" match="compatible"/>
-		<import feature="org.tigris.subversion.subclipse" version="1.6.17" match="compatible"/>
-		<import feature="org.tmatesoft.svnkit" version="1.3.5.7406" match="compatible"/>
+      <import feature="com.collabnet.subversion.merge.feature" version="2.2.3" match="compatible"/>
+      <import feature="com.sun.jna" version="3.2.7" match="compatible"/>
+      <import feature="org.tigris.subversion.clientadapter.feature" version="1.6.12" match="compatible"/>
+      <import feature="org.tigris.subversion.clientadapter.javahl.feature" version="1.6.15" match="compatible"/>
+      <import feature="org.tigris.subversion.clientadapter.svnkit.feature" version="1.6.15" match="compatible"/>
+      <import feature="org.tigris.subversion.subclipse.graph.feature" version="1.0.9" match="compatible"/>
+      <import feature="org.tigris.subversion.subclipse.mylyn" version="3.0.0" match="compatible"/>
+      <import feature="org.tigris.subversion.subclipse" version="1.6.17" match="compatible"/>
+      <import feature="org.tmatesoft.svnkit" version="1.3.5.7406" match="compatible"/>
    </requires>
+
 </feature>
diff --git a/product/features/com.jboss.jbds.testng.feature/feature.xml b/product/features/com.jboss.jbds.testng.feature/feature.xml
index 853aa95..ae9d6db 100644
--- a/product/features/com.jboss.jbds.testng.feature/feature.xml
+++ b/product/features/com.jboss.jbds.testng.feature/feature.xml
@@ -6,7 +6,8 @@
       provider-name="JBoss by Red Hat">
 
    <description>
-      Contains TestNG 5.14.6 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains TestNG 5.14.6 (Certified). 
+Features certified with JBoss Developer Studio have been tested by Red Hat.
    </description>
 
    <copyright>