diff --git a/extras/features/com.jboss.jbds.findbugs.feature/feature.xml b/extras/features/com.jboss.jbds.findbugs.feature/feature.xml
index c6e751e..c7c6b12 100644
--- a/extras/features/com.jboss.jbds.findbugs.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.findbugs.feature/feature.xml
@@ -1,8 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="com.jboss.jbds.findbugs.feature" label="FindBugs (Certified)" version="1.0.0.qualifier" provider-name="JBoss by Red Hat">
+<feature
+      id="com.jboss.jbds.findbugs.feature"
+      label="FindBugs (Selected)"
+      version="1.0.0.qualifier"
+      provider-name="JBoss by Red Hat">
 
 	<description>
-      Contains FindBugs 1.3.9 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains FindBugs 1.3.9 (Selected). 
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
 	<copyright>
@@ -24,7 +29,6 @@ FindBugs is free software distributed under the terms of the Lesser GNU Public L
 http://www.gnu.org/licenses/lgpl.html
 
 See also http://findbugs.sourceforge.net/manual/license.html
-
    </license>
 
 	<requires>
diff --git a/extras/features/com.jboss.jbds.git.feature/feature.xml b/extras/features/com.jboss.jbds.git.feature/feature.xml
index 940a629..f798ebd 100644
--- a/extras/features/com.jboss.jbds.git.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.git.feature/feature.xml
@@ -1,11 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature
       id="com.jboss.jbds.git.feature"
-      label="Git Integration (Certified)"
+      label="Git Integration (Selected)"
       version="1.1.0.qualifier"
       provider-name="JBoss by Red Hat">
 
-   <description>Contains eGit 1.0 and jGit 1.0, including Mylyn and GitHub integration (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.</description>
+   <description>
+Contains eGit 1.0 and jGit 1.0, including Mylyn and GitHub integration (Selected).
+Features selected by Red Hat for use with JBoss Developer Studio. 
+   </description>
 
    <copyright>%copyright</copyright>
 
@@ -15,7 +18,8 @@ which in a particular case may include the Eclipse Public License,
 the GNU Lesser General Public License, and/or certain other open
 source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
-Raleigh NC 27606 USA.</license>
+Raleigh NC 27606 USA.
+   </license>
    
    <requires>
       <import feature="org.eclipse.egit" version="1.0.0" match="greaterOrEqual"/>
diff --git a/extras/features/com.jboss.jbds.jslint.feature/feature.xml b/extras/features/com.jboss.jbds.jslint.feature/feature.xml
index 6f59efe..0ee5ff5 100644
--- a/extras/features/com.jboss.jbds.jslint.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.jslint.feature/feature.xml
@@ -1,12 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature
       id="com.jboss.jbds.jslint.feature"
-      label="JSLint (Certified)"
+      label="JSLint (Selected)"
       version="1.0.0.qualifier"
       provider-name="JBoss by Red Hat">
 
    <description>
-      Contains JSLint 1.5.0 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains JSLint 1.5.0 (Selected).
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
    <copyright>
diff --git a/extras/features/com.jboss.jbds.m2e.feature/feature.xml b/extras/features/com.jboss.jbds.m2e.feature/feature.xml
index 7bc97ab..067120f 100644
--- a/extras/features/com.jboss.jbds.m2e.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.m2e.feature/feature.xml
@@ -1,11 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature
  id="com.jboss.jbds.m2e.feature"
- label="Maven Integration (Certified)"
+      label="Maven Integration (Selected)"
  version="1.1.0.qualifier"
  provider-name="JBoss by Red Hat">
 
-   <description>Contains m2e 1.0 and m2e-wtp 0.13, including support for CDI, Hibernate, JSF, Portlet, Seam, and Project Examples (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+   <description>
+Contains m2e 1.0 and m2e-wtp 0.13, including support for CDI, Hibernate, JSF, Portlet, Seam, and Project Examples (Selected). 
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
    <copyright>%copyright
diff --git a/extras/features/com.jboss.jbds.mylyn.feature/feature.xml b/extras/features/com.jboss.jbds.mylyn.feature/feature.xml
index b52a7ce..cb64584 100644
--- a/extras/features/com.jboss.jbds.mylyn.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.mylyn.feature/feature.xml
@@ -1,8 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="com.jboss.jbds.mylyn.feature" label="Mylyn (Certified)" version="1.1.0.qualifier" provider-name="JBoss by Red Hat" plugin="com.atlassian.connector.eclipse.branding.ui">
+<feature 
+	id="com.jboss.jbds.mylyn.feature" 
+	label="Mylyn (Selected)" 
+	version="1.1.0.qualifier" 
+	provider-name="JBoss by Red Hat" 
+	plugin="com.atlassian.connector.eclipse.branding.ui">
 
    <description>
-      Contains Mylyn 3.6 including support for Bugzilla, CVS, eGit, SVN, JIRA, Bamboo, Crucible, Fisheye, Java Development, Plug-In Development and Wikitext (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains Mylyn 3.6 including support for Bugzilla, CVS, eGit, SVN, JIRA, Bamboo, Crucible, Fisheye, Java Development, Plug-In Development and Wikitext (Selected). 
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
    <copyright>
diff --git a/extras/features/com.jboss.jbds.pmd.feature/feature.xml b/extras/features/com.jboss.jbds.pmd.feature/feature.xml
index d7c533f..708686e 100644
--- a/extras/features/com.jboss.jbds.pmd.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.pmd.feature/feature.xml
@@ -1,11 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="com.jboss.jbds.pmd.feature" label="PMD (Certified)" version="1.1.0.qualifier" provider-name="JBoss by Red Hat">
+<feature 
+	id="com.jboss.jbds.pmd.feature" 
+	label="PMD (Selected)" 
+	version="1.1.0.qualifier" 
+	provider-name="JBoss by Red Hat">
 
-	<description>Contains PMD 3.2.4 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.</description>
+   <description>
+Contains PMD 3.2.4 (Selected).
+Features selected by Red Hat for use with JBoss Developer Studio. 
+   </description>
 
-	<copyright>%copyright</copyright>
+   <copyright>
+      %copyright
+   </copyright>
 
-	<license url="license.html">Red Hat, Inc. licenses these features and plugins to you under
+   <license url="license.html">
+      Red Hat, Inc. licenses these features and plugins to you under
 certain open source licenses (or aggregations of such licenses),
 which in a particular case may include the Eclipse Public License,
 the GNU Lesser General Public License, and/or certain other open
@@ -13,7 +23,8 @@ source licenses. For precise licensing details, consult the corresponding
 source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
 Raleigh NC 27606 USA.
 
-See also http://pmd.sourceforge.net/license.html</license>
+See also http://pmd.sourceforge.net/license.html
+   </license>
 
 	<requires>
 		  <import plugin="org.eclipse.core.resources"/>
diff --git a/extras/features/com.jboss.jbds.product.extra.feature/feature.properties b/extras/features/com.jboss.jbds.product.extra.feature/feature.properties
index e3091b6..2ede96d 100644
--- a/extras/features/com.jboss.jbds.product.extra.feature/feature.properties
+++ b/extras/features/com.jboss.jbds.product.extra.feature/feature.properties
@@ -24,10 +24,10 @@ providerName=JBoss by Red Hat
 updateExtrasSiteName=JBoss Developer Studio Extras
 
 # "description" property - description of the feature
-description=Contains certified third party software features, including BPEL Editor, eGit, FindBugs, JSLint, m2eclipse, Mylyn, PMD, Spring IDE, Subclipse and TestNG. Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+description=Contains certified and selected third party software features, including BPEL Editor, eGit, FindBugs, JSLint, m2eclipse, Mylyn, PMD, Spring IDE, Subclipse and TestNG. Features certified with JBoss Developer Studio have been tested by Red Hat. 
 
 # "copyright" property - text of the "Feature Update Copyright"
-copyright=Copyright (c) 2009-2011 Red Hat, Inc. and others.\nAll rights reserved. This program and the accompanying materials\n\
+copyright=Copyright (c) 2008-2011 Red Hat, Inc. and others.\nAll rights reserved. This program and the accompanying materials\n\
 are made available under the terms of the Eclipse Public License v1.0\nwhich accompanies this distribution, and is available at\nhttp\://www.eclipse.org/legal/epl-v10.html\n\nContributors\:\nRed Hat, Inc. - Initial implementation.\n
  ############### end of copyright property ####################################
 
@@ -37,4 +37,4 @@ licenseURL=license.html
 
 # "license" property - text of the "Feature Update License"
 # should be plain text version of license agreement pointed to be "licenseURL"
-license=Red Hat, Inc. licenses these features and plugins to you under\ncertain open source licenses (or aggregations of such licenses),\nwhich in a particular case may include the Eclipse Public License,\nthe GNU Lesser General Public License, and/or certain other open\nsource licenses. For precise licensing details, consult the corresponding\nsource code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,\nRaleigh NC 27606 USA.\n\n-------\n\nECLIPSE FOUNDATION SOFTWARE USER AGREEMENT\nMarch 17, 2005\n\nUsage Of Content\n\nTHE ECLIPSE FOUNDATION MAKES AVAILABLE SOFTWARE, DOCUMENTATION, INFORMATION AND/OR\nOTHER MATERIALS FOR OPEN SOURCE PROJECTS (COLLECTIVELY "CONTENT").\nUSE OF THE CONTENT IS GOVERNED BY THE TERMS AND CONDITIONS OF THIS\nAGREEMENT AND/OR THE TERMS AND CONDITIONS OF LICENSE AGREEMENTS OR\nNOTICES INDICATED OR REFERENCED BELOW. BY USING THE CONTENT, YOU\nAGREE THAT YOUR USE OF THE CONTENT IS GOVERNED BY THIS AGREEMENT\nAND/OR THE TERMS AND CONDITIONS OF ANY APPLICABLE LICENSE AGREEMENTS\nOR NOTICES INDICATED OR REFERENCED BELOW. IF YOU DO NOT AGREE TO THE\nTERMS AND CONDITIONS OF THIS AGREEMENT AND THE TERMS AND CONDITIONS\nOF ANY APPLICABLE LICENSE AGREEMENTS OR NOTICES INDICATED OR REFERENCED\nBELOW, THEN YOU MAY NOT USE THE CONTENT.\n\nApplicable Licenses\n\nUnless otherwise indicated, all Content made available by the Eclipse Foundation\nis provided to you under the terms and conditions of the Eclipse Public\nLicense Version 1.0 ("EPL"). A copy of the EPL is provided with this\nContent and is also available at http\://www.eclipse.org/legal/epl-v10.html.\nFor purposes of the EPL, "Program" will mean the Content.\n\nContent includes, but is not limited to, source code, object code,\ndocumentation and other files maintained in the Eclipse.org CVS\nrepository ("Repository") in CVS modules ("Modules") and made available\nas downloadable archives ("Downloads").\n\n- Content may be structured and packaged into modules to facilitate delivering,\nextending, and upgrading the Content. Typical modules may include plug-ins ("Plug-ins"),\nplug-in fragments ("Fragments"), and features ("Features").\n- Each Plug-in or Fragment may be packaged as a sub-directory or JAR (Java? ARchive)\nin a directory named "plugins".\n- A Feature is a bundle of one or more Plug-ins and/or Fragments and associated material.\nEach Feature may be packaged as a sub-directory in a directory named "features".\nWithin a Feature, files named "feature.xml" may contain a list of the names and version\nnumbers of the Plug-ins and/or Fragments associated with that Feature.\n- Features may also include other Features ("Included Features"). Within a Feature, files\nnamed "feature.xml" may contain a list of the names and version numbers of Included Features.\n\nFeatures may also include other Features ("Included Features"). Files named\n"feature.xml" may contain a list of the names and version numbers of\nIncluded Features.\n\nThe terms and conditions governing Plug-ins and Fragments should be\ncontained in files named "about.html" ("Abouts"). The terms and\nconditions governing Features and Included Features should be contained\nin files named "license.html" ("Feature Licenses"). Abouts and Feature\nLicenses may be located in any directory of a Download or Module\nincluding, but not limited to the following locations\:\n\n- The top-level (root) directory\n- Plug-in and Fragment directories\n- Inside Plug-ins and Fragments packaged as JARs\n- Sub-directories of the directory named "src" of certain Plug-ins\n- Feature directories\n\nNote\: if a Feature made available by the Eclipse Foundation is installed using the\nEclipse Update Manager, you must agree to a license ("Feature Update\nLicense") during the installation process. If the Feature contains\nIncluded Features, the Feature Update License should either provide you\nwith the terms and conditions governing the Included Features or inform\nyou where you can locate them. Feature Update Licenses may be found in\nthe "license" property of files named "feature.properties". Such Abouts,\nFeature Licenses and Feature Update Licenses contain the terms and\nconditions (or references to such terms and conditions) that govern your\nuse of the associated Content in that directory.\n\nTHE ABOUTS, FEATURE LICENSES AND FEATURE UPDATE LICENSES MAY REFER\nTO THE EPL OR OTHER LICENSE AGREEMENTS, NOTICES OR TERMS AND CONDITIONS.\nSOME OF THESE OTHER LICENSE AGREEMENTS MAY INCLUDE (BUT ARE NOT LIMITED TO)\:\n\n- Common Public License Version 1.0 (available at http\://www.eclipse.org/legal/cpl-v10.html)\n- Apache Software License 1.1 (available at http\://www.apache.org/licenses/LICENSE)\n- Apache Software License 2.0 (available at http\://www.apache.org/licenses/LICENSE-2.0)\n- IBM Public License 1.0 (available at http\://oss.software.ibm.com/developerworks/opensource/license10.html)\n- Metro Link Public License 1.00 (available at http\://www.opengroup.org/openmotif/supporters/metrolink/license.html)\n- Mozilla Public License Version 1.1 (available at http\://www.mozilla.org/MPL/MPL-1.1.html)\n\nIT IS YOUR OBLIGATION TO READ AND ACCEPT ALL SUCH TERMS AND CONDITIONS PRIOR\nTO USE OF THE CONTENT. If no About, Feature License or Feature Update License\nis provided, please contact the Eclipse Foundation to determine what terms and conditions\ngovern that particular Content.\n\nCryptography\n\nContent may contain encryption software. The country in which you are\ncurrently may have restrictions on the import, possession, and use,\nand/or re-export to another country, of encryption software. BEFORE\nusing any encryption software, please check the country's laws,\nregulations and policies concerning the import, possession, or use,\nand re-export of encryption software, to see if this is permitted.\n\nJava and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both.\n########### end of license property ##########################################
+license=Red Hat, Inc. licenses these features and plugins to you under\ncertain open source licenses (or aggregations of such licenses),\nwhich in a particular case may include the Eclipse Public License,\nthe GNU Lesser General Public License, and/or certain other open\nsource licenses. For precise licensing details, consult the corresponding\nsource code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,\nRaleigh NC 27606 USA.\n\n-------\n\nECLIPSE FOUNDATION SOFTWARE USER AGREEMENT\nMarch 17, 2005\n\nUsage Of Content\n\nTHE ECLIPSE FOUNDATION MAKES AVAILABLE SOFTWARE, DOCUMENTATION, INFORMATION AND/OR\nOTHER MATERIALS FOR OPEN SOURCE PROJECTS (COLLECTIVELY "CONTENT").\nUSE OF THE CONTENT IS GOVERNED BY THE TERMS AND CONDITIONS OF THIS\nAGREEMENT AND/OR THE TERMS AND CONDITIONS OF LICENSE AGREEMENTS OR\nNOTICES INDICATED OR REFERENCED BELOW. BY USING THE CONTENT, YOU\nAGREE THAT YOUR USE OF THE CONTENT IS GOVERNED BY THIS AGREEMENT\nAND/OR THE TERMS AND CONDITIONS OF ANY APPLICABLE LICENSE AGREEMENTS\nOR NOTICES INDICATED OR REFERENCED BELOW. IF YOU DO NOT AGREE TO THE\nTERMS AND CONDITIONS OF THIS AGREEMENT AND THE TERMS AND CONDITIONS\nOF ANY APPLICABLE LICENSE AGREEMENTS OR NOTICES INDICATED OR REFERENCED\nBELOW, THEN YOU MAY NOT USE THE CONTENT.\n\nApplicable Licenses\n\nUnless otherwise indicated, all Content made available by the Eclipse Foundation\nis provided to you under the terms and conditions of the Eclipse Public\nLicense Version 1.0 ("EPL"). A copy of the EPL is provided with this\nContent and is also available at http\://www.eclipse.org/legal/epl-v10.html.\nFor purposes of the EPL, "Program" will mean the Content.\n\nContent includes, but is not limited to, source code, object code,\ndocumentation and other files maintained in the Eclipse.org CVS\nrepository ("Repository") in CVS modules ("Modules") and made available\nas downloadable archives ("Downloads").\n\n- Content may be structured and packaged into modules to facilitate delivering,\nextending, and upgrading the Content. Typical modules may include plug-ins ("Plug-ins"),\nplug-in fragments ("Fragments"), and features ("Features").\n- Each Plug-in or Fragment may be packaged as a sub-directory or JAR (Java? ARchive)\nin a directory named "plugins".\n- A Feature is a bundle of one or more Plug-ins and/or Fragments and associated material.\nEach Feature may be packaged as a sub-directory in a directory named "features".\nWithin a Feature, files named "feature.xml" may contain a list of the names and version\nnumbers of the Plug-ins and/or Fragments associated with that Feature.\n- Features may also include other Features ("Included Features"). Within a Feature, files\nnamed "feature.xml" may contain a list of the names and version numbers of Included Features.\n\nFeatures may also include other Features ("Included Features"). Files named\n"feature.xml" may contain a list of the names and version numbers of\nIncluded Features.\n\nThe terms and conditions governing Plug-ins and Fragments should be\ncontained in files named "about.html" ("Abouts"). The terms and\nconditions governing Features and Included Features should be contained\nin files named "license.html" ("Feature Licenses"). Abouts and Feature\nLicenses may be located in any directory of a Download or Module\nincluding, but not limited to the following locations\:\n\n- The top-level (root) directory\n- Plug-in and Fragment directories\n- Inside Plug-ins and Fragments packaged as JARs\n- Sub-directories of the directory named "src" of certain Plug-ins\n- Feature directories\n\nNote\: if a Feature made available by the Eclipse Foundation is installed using the\nEclipse Update Manager, you must agree to a license ("Feature Update\nLicense") during the installation process. If the Feature contains\nIncluded Features, the Feature Update License should either provide you\nwith the terms and conditions governing the Included Features or inform\nyou where you can locate them. Feature Update Licenses may be found in\nthe "license" property of files named "feature.properties". Such Abouts,\nFeature Licenses and Feature Update Licenses contain the terms and\nconditions (or references to such terms and conditions) that govern your\nuse of the associated Content in that directory.\n\nTHE ABOUTS, FEATURE LICENSES AND FEATURE UPDATE LICENSES MAY REFER\nTO THE EPL OR OTHER LICENSE AGREEMENTS, NOTICES OR TERMS AND CONDITIONS.\nSOME OF THESE OTHER LICENSE AGREEMENTS MAY INCLUDE (BUT ARE NOT LIMITED TO)\:\n\n- Common Public License Version 1.0 (available at http\://www.eclipse.org/legal/cpl-v10.html)\n- Apache Software License 1.1 (available at http\://www.apache.org/licenses/LICENSE)\n- Apache Software License 2.0 (available at http\://www.apache.org/licenses/LICENSE-2.0)\n- IBM Public License 1.0 (available at http\://oss.software.ibm.com/developerworks/opensource/license10.html)\n- Metro Link Public License 1.00 (available at http\://www.opengroup.org/openmotif/supporters/metrolink/license.html)\n- Mozilla Public License Version 1.1 (available at http\://www.mozilla.org/MPL/MPL-1.1.html)\n\nIT IS YOUR OBLIGATION TO READ AND ACCEPT ALL SUCH TERMS AND CONDITIONS PRIOR\nTO USE OF THE CONTENT. If no About, Feature License or Feature Update License\nis provided, please contact the Eclipse Foundation to determine what terms and conditions\ngovern that particular Content.\n\nCryptography\n\nContent may contain encryption software. The country in which you are\ncurrently may have restrictions on the import, possession, and use,\nand/or re-export to another country, of encryption software. BEFORE\nusing any encryption software, please check the country's laws,\nregulations and policies concerning the import, possession, or use,\nand re-export of encryption software, to see if this is permitted.\n\nJava and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both.\n\#\#\#\#\#\#\#\#\#\#\# end of license property \#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#\#
diff --git a/extras/features/com.jboss.jbds.springide.feature/feature.xml b/extras/features/com.jboss.jbds.springide.feature/feature.xml
index 58c40c5..ac0f4f9 100644
--- a/extras/features/com.jboss.jbds.springide.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.springide.feature/feature.xml
@@ -1,12 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature
       id="com.jboss.jbds.springide.feature"
-      label="Spring IDE (Certified)"
+      label="Spring IDE (Selected)"
       version="1.1.0.qualifier"
       provider-name="JBoss by RedHat">
 
    <description>
-      Contains Spring IDE 2.6.0 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains Spring IDE 2.6.0 (Selected). 
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
    <copyright>
diff --git a/extras/features/com.jboss.jbds.subclipse.feature/feature.xml b/extras/features/com.jboss.jbds.subclipse.feature/feature.xml
index 2703313..b4407c1 100644
--- a/extras/features/com.jboss.jbds.subclipse.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.subclipse.feature/feature.xml
@@ -1,12 +1,13 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <feature
       id="com.jboss.jbds.subclipse.feature"
-      label="Subclipse (Certified)"
+      label="Subclipse (Selected)"
       version="1.0.0.qualifier"
       provider-name="JBoss by RedHat">
 
    <description>
-      Contains Subclipse 1.6 and SVNKit 1.3, including Mylyn support (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains Subclipse 1.6 and SVNKit 1.3, including Mylyn support (Selected). 
+Features selected by Red Hat for use with JBoss Developer Studio. 
    </description>
 
    <copyright>
@@ -77,7 +78,7 @@ that uses SVNKit is possible only when such redistribution is explictly permitte
 by TMate Software. Please, contact TMate Software at support@svnkit.com to 
 get such permission.
 
-THIS SOFTWARE IS PROVIDED BY TMATE SOFTWARE ``AS IS'' AND ANY EXPRESS OR IMPLIED
+THIS SOFTWARE IS PROVIDED BY TMATE SOFTWARE ``AS IS&apos;&apos; AND ANY EXPRESS OR IMPLIED
 WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE
 DISCLAIMED. 
@@ -118,12 +119,12 @@ Depending on the adapter you choose in your preferences, the
 following products and licenses are involved.
 
 Subversion/JavaHL:  JavaHL is a high-level Java language binding
-to the Subversion "C" libraries and is part of the official
+to the Subversion &quot;C&quot; libraries and is part of the official
 Subversion source distribution.  Subversion is licensed under
 the CollabNet license.
 http://subversion.tigris.org/project_license.html
 
-SVNKit:  SVNKit is a "pure Java" implementation of the
+SVNKit:  SVNKit is a &quot;pure Java&quot; implementation of the
 Subversion network protocols and working copy formats.
 SVNKit is licensed under the TMate license.
 http://svnkit.com/licensing/index.html
diff --git a/extras/features/com.jboss.jbds.testng.feature/feature.xml b/extras/features/com.jboss.jbds.testng.feature/feature.xml
index 779cabe..67c6eeb 100644
--- a/extras/features/com.jboss.jbds.testng.feature/feature.xml
+++ b/extras/features/com.jboss.jbds.testng.feature/feature.xml
@@ -6,10 +6,25 @@
       provider-name="JBoss by Red Hat">
 
    <description>
-      Contains TestNG 6.1.1 (Certified). Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins.
+Contains TestNG 6.1.1 (Certified). 
+Features certified with JBoss Developer Studio have been tested by Red Hat.
    </description>
 
+   <copyright>
+      %copyright
+   </copyright>
+
    <license url="http://www.apache.org/licenses/LICENSE-2.0.html">
+Red Hat, Inc. licenses these features and plugins to you under
+certain open source licenses (or aggregations of such licenses),
+which in a particular case may include the Eclipse Public License,
+the GNU Lesser General Public License, and/or certain other open
+source licenses. For precise licensing details, consult the corresponding
+source code, or contact Red Hat Legal Affairs, 1801 Varsity Drive,
+Raleigh NC 27606 USA.
+
+-------
+
 Apache License
 Version 2.0, January 2004
 http://www.apache.org/licenses/
diff --git a/extras/site/site.xml b/extras/site/site.xml
index b0f49b5..4faf15c 100644
--- a/extras/site/site.xml
+++ b/extras/site/site.xml
@@ -5,7 +5,15 @@
 	<!-- JBDS 4.0 -->
 	
 	<category-def name="All Certified Features" label="All Certified Features">
-		<description>Features certified with JBoss Developer Studio have been tested by Red Hat. We will provide best-effort assistance on using these plugins. </description>
+		<description>
+Features certified with JBoss Developer Studio have been tested by Red Hat. 
+		</description>
+	</category-def>
+
+	<category-def name="All Selected Features" label="All Selected Features">
+		<description>
+Features selected by Red Hat for use with JBoss Developer Studio. 
+		</description>
 	</category-def>
 
 	<feature url="features/org.testng.eclipse_0.0.0.jar" id="org.testng.eclipse" version="0.0.0">
@@ -31,7 +39,7 @@
 	<feature url="features/org.springframework.ide.eclipse.autowire.feature_0.0.0.jar" id="org.springframework.ide.eclipse.autowire.feature" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.springide.feature_0.0.0.jar" id="com.jboss.jbds.springide.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 
 	<!-- JBDS 4.1 -->
@@ -45,17 +53,12 @@
 	<feature url="features/org.eclipse.mylyn.github.feature_0.0.0.jar" id="org.eclipse.mylyn.github.feature" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.git.feature_0.0.0.jar" id="com.jboss.jbds.git.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 
 	<!-- just use JBDS FindBugs feature, not FindBugs feature itself -->
 	<feature url="features/com.jboss.jbds.findbugs.feature_0.0.0.jar" id="com.jboss.jbds.findbugs.feature" version="0.0.0">
-		<category name="All Certified Features" />
-	</feature>
-
-	<!-- just use JBDS PMD feature, not PMD feature itself -->
-	<feature url="features/com.jboss.jbds.pmd.feature_0.0.0.jar" id="com.jboss.jbds.pmd.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 
 	<feature url="features/org.eclipse.mylyn.bugzilla_feature_0.0.0.jar" id="org.eclipse.mylyn.bugzilla_feature" version="0.0.0">
@@ -83,9 +86,14 @@
 	<feature url="features/org.eclipse.mylyn.wikitext_feature_0.0.0.jar" id="org.eclipse.mylyn.wikitext_feature" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.mylyn.feature_0.0.0.jar" id="com.jboss.jbds.mylyn.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 	
+	<!-- just use JBDS PMD feature, not PMD feature itself -->
+	<feature url="features/com.jboss.jbds.pmd.feature_0.0.0.jar" id="com.jboss.jbds.pmd.feature" version="0.0.0">
+		<category name="All Selected Features" />
+	</feature>
+
 	<feature url="features/com.collabnet.subversion.merge.feature_0.0.0.jar" id="com.collabnet.subversion.merge.feature" version="0.0.0">
 	</feature>
 	<feature url="features/com.sun.jna_0.0.0.jar" id="com.sun.jna" version="0.0.0">
@@ -105,7 +113,7 @@
 	<feature url="features/org.tmatesoft.svnkit_0.0.0.jar" id="org.tmatesoft.svnkit" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.subclipse.feature_0.0.0.jar" id="com.jboss.jbds.subclipse.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 	
 	<!-- JBDS 5.0 -->
@@ -121,7 +129,7 @@
 	<feature url="features/com.rockstarapps.workbench.branding.feature_0.0.0.jar" id="com.rockstarapps.workbench.branding.feature" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.jslint.feature_0.0.0.jar" id="com.jboss.jbds.jslint.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 
 	<feature url="features/org.eclipse.m2e.feature_0.0.0.jar" id="org.eclipse.m2e.feature" version="0.0.0">
@@ -145,6 +153,6 @@
 	<feature url="features/org.jboss.tools.maven.project.examples.feature_0.0.0.jar" id="org.jboss.tools.maven.project.examples.feature" version="0.0.0">
 	</feature>
 	<feature url="features/com.jboss.jbds.m2e.feature_0.0.0.jar" id="com.jboss.jbds.m2e.feature" version="0.0.0">
-		<category name="All Certified Features" />
+		<category name="All Selected Features" />
 	</feature>
 </site>