From 458c8a308b24dab1d4838f1d422e920cb4bd36a3 Mon Sep 17 00:00:00 2001
From: Paul Gier <pgier@redhat.com>
Date: Fri, 16 Sep 2011 17:29:18 -0500
Subject: [PATCH] [AS7-1403] Relax dependency restrictions related to maven and aether components used by shrinkwrap

---
 pom.xml |   40 ----------------------------------------
 1 files changed, 0 insertions(+), 40 deletions(-)

diff --git a/pom.xml b/pom.xml
index a7d6e17..4faf2c0 100644
--- a/pom.xml
+++ b/pom.xml
@@ -408,11 +408,6 @@
                                             <exclude>jboss.web:servlet-api</exclude>
                                             <exclude>net.sf.kxml:kxml2</exclude>
                                             <exclude>org.apache.aries.jmx:org.apache.aries.jmx.api</exclude>
-                                            <exclude>org.apache.maven:maven-aether-provider</exclude>
-                                            <exclude>org.apache.maven:maven-settings-builder</exclude>
-                                            <exclude>org.apache.maven.wagon:wagon-file</exclude>
-                                            <exclude>org.apache.maven.wagon:wagon-http-lightweight</exclude>
-                                            <exclude>org.apache.maven.wagon:wagon-provider-api</exclude>
                                             <exclude>org.apache.xalan:serializer</exclude>
                                             <exclude>org.apache.xalan:xalan</exclude>
                                             <exclude>org.hibernate:ejb3-persistence</exclude>
@@ -443,9 +438,6 @@
                                             <exclude>org.slf4j:slf4j-jdk14</exclude>
                                             <exclude>org.slf4j:slf4j-log4j12</exclude>
                                             <exclude>org.slf4j:slf4j-log4j13</exclude>
-                                            <exclude>org.sonatype.aether:aether-api</exclude>
-                                            <exclude>org.sonatype.aether:aether-connector-wagon</exclude>
-                                            <exclude>org.sonatype.aether:aether-util</exclude>
                                             <exclude>oro:oro</exclude>
                                             <exclude>sun-jaxb:jaxb-api</exclude>
                                             <exclude>trove:trove</exclude>
@@ -4362,38 +4354,6 @@
                         <groupId>commons-logging</groupId>
                         <artifactId>commons-logging-api</artifactId>
                     </exclusion>
-                    <exclusion>
-                        <groupId>org.apache.maven</groupId>
-                        <artifactId>maven-aether-provider</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.apache.maven</groupId>
-                        <artifactId>maven-settings-builder</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.apache.maven.wagon</groupId>
-                        <artifactId>wagon-file</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.apache.maven.wagon</groupId>
-                        <artifactId>wagon-http-lightweight</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.apache.maven.wagon</groupId>
-                        <artifactId>wagon-provider-api</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.sonatype.aether</groupId>
-                        <artifactId>aether-api</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.sonatype.aether</groupId>
-                        <artifactId>aether-connector-wagon</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>org.sonatype.aether</groupId>
-                        <artifactId>aether-util</artifactId>
-                    </exclusion>
                 </exclusions>
             </dependency>
 
-- 
1.7.3.4