Index: eap-config/unix_shortcut_specification.xml
===================================================================
--- eap-config/unix_shortcut_specification.xml	(revision 1814)
+++ eap-config/unix_shortcut_specification.xml	(working copy)
@@ -1,4 +1,5 @@
 <shortcuts>
+
    <programGroup defaultName="JBoss Platform" location="applications"/>
    
    <shortcut
@@ -35,7 +36,6 @@
      iconIndex="0"
      commandLine="-c '$JAVA_HOME/bin/java -jar &#34;$INSTALL_PATH/Uninstaller/uninstaller.jar&#34;'"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/icons/48-uninstall.png"
-     workingDirectory="$INSTALL_PATH/Uninstaller"
      description="Uninstall the JBoss Platform"
      type="Application"
      encoding="UTF-8"
@@ -172,11 +172,10 @@
      startMenu="no"
      startup="no"
      condition="secure.jmxconnector"
-     target="./shutdown.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/icons/48-stop.png"
      iconIndex="0"
-     commandLine="-S -u $adminUser"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin&#34; &#38;&#38; ./shutdown.sh -S -u $adminUser'"
      description="Stops the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -196,11 +195,10 @@
      startMenu="no"
      startup="no"
      condition="!secure.jmxconnector"
-     target="./shutdown.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/icons/48-stop.png"
      iconIndex="0"
-     commandLine="-S"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin&#34; &#38;&#38; ./shutdown.sh -S'"
      description="Stops the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -219,11 +217,10 @@
      applications="no"
      startMenu="no"
      startup="no"
-     target="./run.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/icons/48-start.png"
      iconIndex="0"
-     commandLine="-c production"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin&#34; &#38;&#38; ./run.sh -c production'"
      description="Runs the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -241,11 +238,10 @@
      applications="no"
      startMenu="no"
      startup="no"
-     target="./run.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/icons/48-start.png"
      iconIndex="0"
-     commandLine="-c all"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin&#34; &#38;&#38; ./run.sh -c all'"
      description="Runs the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -264,11 +260,10 @@
      applications="no"
      startMenu="no"
      startup="no"
-     target="./run.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/icons/48-start.png"
      iconIndex="0"
-     commandLine="-c default"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin&#34; &#38;&#38; ./run.sh -c default'"
      description="Runs the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -287,11 +282,10 @@
      applications="no"
      startMenu="no"
      startup="no"
-     target="./run.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/icons/48-start.png"
      iconIndex="0"
-     commandLine="-c minimal"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin&#34; &#38;&#38; ./run.sh -c minimal'"
      description="Runs the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -310,11 +304,10 @@
      applications="no"
      startMenu="no"
      startup="no"
-     target="./run.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/icons/48-start.png"
      iconIndex="0"
-     commandLine="-c standard"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin&#34; &#38;&#38; ./run.sh -c standard'"
      description="Runs the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -333,11 +326,10 @@
      applications="no"
      startMenu="no"
      startup="no"
-     target="./run.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/icons/48-start.png"
      iconIndex="0"
-     commandLine="-c web"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as/bin&#34; &#38;&#38; ./run.sh -c web'"
      description="Runs the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
Index: ewp-config/unix_shortcut_specification.xml
===================================================================
--- ewp-config/unix_shortcut_specification.xml	(revision 1814)
+++ ewp-config/unix_shortcut_specification.xml	(working copy)
@@ -35,7 +35,6 @@
      iconIndex="0"
      commandLine="-c '$JAVA_HOME/bin/java -jar &#34;$INSTALL_PATH/Uninstaller/uninstaller.jar&#34;'"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/icons/48-uninstall.png"
-     workingDirectory="$INSTALL_PATH/Uninstaller"
      description="Uninstall the JBoss Platform"
      type="Application"
      encoding="UTF-8"
@@ -176,11 +175,10 @@
      startMenu="no"
      startup="no"
      condition="secure.jmxconnector"
-     target="./shutdown.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/icons/48-stop.png"
      iconIndex="0"
-     commandLine="-S -u $adminUser"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/bin&#34; &#38;&#38; ./shutdown.sh -S -u $adminUser'"
      description="Stops the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -200,11 +198,10 @@
      startMenu="no"
      startup="no"
      condition="!secure.jmxconnector"
-     target="./shutdown.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/icons/48-stop.png"
      iconIndex="0"
-     commandLine="-S"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/bin&#34; &#38;&#38; ./shutdown.sh -S'"
      description="Stops the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -222,11 +219,10 @@
      applications="no"
      startMenu="no"
      startup="no"
-     target="./run.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/icons/48-start.png"
      iconIndex="0"
-     commandLine="-c production"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/bin&#34; &#38;&#38; ./run.sh -c production'"
      description="Runs the JBoss Application Server"
      type="Application"
      encoding="UTF-8"
@@ -245,11 +241,10 @@
      applications="no"
      startMenu="no"
      startup="no"
-     target="./run.sh"
+     target="/bin/sh"
      iconFile="$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/icons/48-start.png"
      iconIndex="0"
-     commandLine="-c default"
-     workingDirectory="$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/bin"
+     commandLine="-c 'cd &#34;$INSTALL_PATH/${jboss.dist.dir}/jboss-as-web/bin&#34; &#38;&#38; ./run.sh -c default'"
      description="Runs the JBoss Application Server"
      type="Application"
      encoding="UTF-8"