Index: eap-config/unix_shortcut_specification.xml
===================================================================
--- eap-config/unix_shortcut_specification.xml	(revision 1819)
+++ eap-config/unix_shortcut_specification.xml	(working copy)
@@ -22,7 +22,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      />  
      
    <shortcut
@@ -43,7 +43,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />     
      <!-- this fails to load in the gnome menu, will use firefox shotcut to launch
@@ -67,7 +67,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      -->
@@ -92,7 +92,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
    <shortcut
@@ -115,7 +115,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
    <shortcut
@@ -138,7 +138,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
    <shortcut
@@ -161,7 +161,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
    <shortcut
@@ -183,7 +183,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      
@@ -206,7 +206,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
    
      />
      
@@ -228,7 +228,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
    />  
    <shortcut
@@ -249,7 +249,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      
@@ -271,7 +271,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      
@@ -293,7 +293,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      
@@ -315,7 +315,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
    />
    
@@ -337,7 +337,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
    />    
      
@@ -360,7 +360,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      />
    <shortcut
      name="Deploy DVD Store Seam Demo"
@@ -381,6 +381,6 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      />
 </shortcuts>
Index: ewp-config/unix_shortcut_specification.xml
===================================================================
--- ewp-config/unix_shortcut_specification.xml	(revision 1819)
+++ ewp-config/unix_shortcut_specification.xml	(working copy)
@@ -21,7 +21,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      />  
      
    <shortcut
@@ -42,7 +42,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />     
      <!-- this fails to load in the gnome menu, will use firefox shotcut to launch
@@ -66,7 +66,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      -->
@@ -91,7 +91,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
    <shortcut
@@ -114,7 +114,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      
@@ -139,7 +139,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      -->
@@ -164,7 +164,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
    <shortcut
@@ -186,7 +186,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      
@@ -209,7 +209,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
     <shortcut
@@ -230,7 +230,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
    />  
    
@@ -252,7 +252,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      
      />
      
@@ -275,7 +275,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      />
      
      <!--
@@ -298,7 +298,7 @@
      KdeSubstUID="false"
      initialState="normal"
      categories=""
-     createForAll="false"
+     createForAll="true"
      />
      -->
      