Index: eap-config/default_shortcut_specification.xml
===================================================================
--- eap-config/default_shortcut_specification.xml	(revision 1825)
+++ eap-config/default_shortcut_specification.xml	(working copy)
@@ -94,7 +94,8 @@
 			 
    <shortcut name="JBoss Administration Console" 
    			 iconFile="$INSTALL_PATH\${jboss.dist.dir}\jboss-as\icons\jmx.ico" 
-   			 target="http://127.0.0.1:8080/admin-console" 
+   			 target="C:\Windows\System32\cmd.exe" 
+   			 commandLine="/C start http://127.0.0.1:8080/admin-console"
    			 description="Start the JBoss Administration Console" 
    			 initialState="normal"
    			 programGroup="yes" 
@@ -103,7 +104,8 @@
    			 
    <shortcut name="Local JMX console" 
    		 	 iconFile="$INSTALL_PATH\${jboss.dist.dir}\jboss-as\icons\jmx.ico" 
-   		 	 target="http://127.0.0.1:8080/jmx-console" 
+   			 target="C:\Windows\System32\cmd.exe" 
+   			 commandLine="/C start http://127.0.0.1:8080/jmx-console"
    		 	 description="Start the local JMX console" 
    		 	 initialState="normal" 
    		 	 programGroup="yes" 
@@ -112,7 +114,8 @@
    		 	 
    <shortcut name="Demo DVD Store" 
    			 iconFile="$INSTALL_PATH\${jboss.dist.dir}\jboss-as\icons\startmenuicon.ico" 
-   			 target="http://127.0.0.1:8080/seam-dvdstore" 
+   			 target="C:\Windows\System32\cmd.exe" 
+   			 commandLine="/C start http://127.0.0.1:8080/seam-dvdstore"
    			 description="Launch the DVD Store Demo Seam application" 
    			 initialState="normal" 
    			 programGroup="yes" 
@@ -121,7 +124,8 @@
    			 
    <shortcut name="Demo Hotel Booking" 
    			 iconFile="$INSTALL_PATH\${jboss.dist.dir}\jboss-as\icons\startmenuicon.ico" 
-   			 target="http://127.0.0.1:8080/seam-booking" 
+   			 target="C:\Windows\System32\cmd.exe" 
+   			 commandLine="/C start http://127.0.0.1:8080/seam-booking"
    			 description="Launch the Booking Demo Seam application" 
    			 initialState="normal" 
    			 programGroup="yes"
@@ -162,7 +166,8 @@
    			 
    <shortcut name="JBoss Platform Documentation" 
    			 iconFile="$INSTALL_PATH\${jboss.dist.dir}\jboss-as\icons\docs.ico" 
-   			 target="http://www.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform" 
+   			 target="C:\Windows\System32\cmd.exe" 
+   			 commandLine="/C start http://www.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform" 
    			 description="Show the documentation"
    			 initialState="normal"
    			 programGroup="yes" 
Index: ewp-config/default_shortcut_specification.xml
===================================================================
--- ewp-config/default_shortcut_specification.xml	(revision 1825)
+++ ewp-config/default_shortcut_specification.xml	(working copy)
@@ -37,7 +37,8 @@
    		  	 
    <shortcut name="JBoss Administration Console"
    			 iconFile="$INSTALL_PATH\${jboss.dist.dir}\jboss-as-web\icons\jmx.ico" 
-   			 target="http://127.0.0.1:8080/admin-console" 
+   			 target="C:\Windows\System32\cmd.exe" 
+   			 commandLine="/C start http://127.0.0.1:8080/admin-console" 
    			 description="Start the JBoss Administration Console" 
    			 initialState="normal" 
    			 programGroup="yes" 
@@ -46,7 +47,8 @@
    			 
    <shortcut name="Local JMX console" 
    			 iconFile="$INSTALL_PATH\${jboss.dist.dir}\jboss-as-web\icons\jmx.ico" 
-   			 target="http://127.0.0.1:8080/jmx-console" 
+   			 target="C:\Windows\System32\cmd.exe" 
+   			 commandLine="/C start http://127.0.0.1:8080/jmx-console" 
    			 description="Start the local JMX console" 
    			 initialState="normal" 
    			 programGroup="yes" 
@@ -64,7 +66,8 @@
    				 
    <shortcut name="Demo Hotel Booking" 
    			 iconFile="$INSTALL_PATH\${jboss.dist.dir}\jboss-as-web\icons\startmenuicon.ico" 
-   			 target="http://127.0.0.1:8080/seam-booking" 
+   			 target="C:\Windows\System32\cmd.exe" 
+   			 commandLine="/C start http://127.0.0.1:8080/seam-booking" 
    			 description="Launch the Booking Demo Seam application" 
    			 initialState="normal" 
    			 programGroup="yes" 
@@ -105,7 +108,8 @@
    		  	 
    <shortcut name="JBoss Platform Documentation"
    	   		 iconFile="$INSTALL_PATH\${jboss.dist.dir}\jboss-as-web\icons\docs.ico" 
-   	   		 target="http://www.redhat.com/docs/en-US/JBoss_Enterprise_Web_Platform" 
+   			 target="C:\Windows\System32\cmd.exe" 
+   			 commandLine="/C start http://www.redhat.com/docs/en-US/JBoss_Enterprise_Web_Platform" 
    	   		 description="Show the documentation" 
    	   		 initialState="normal" 
    	   		 programGroup="yes" 